Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

[v3.6] AMIDST - Strongholds, Village, Biome, Etc. Finder. [1.7.4]


  • Please log in to reply
4369 replies to this topic

#2501

Gibea
    Gibea

    Zombie Killer

  • Members
  • 223 posts

Posted 29 November 2012 - 01:17 AM

View PostGSAHeppner4724, on 29 November 2012 - 12:26 AM, said:

Every time i try to use the program it says "AMIDST ran in JAR mode without -noverify!"
Use:jave -noverify -jar AMIDST.jar

I don't know what this means or what to do to fix it,  Please Please help!!
Me too, but it's work if I open it with the original clean untouched minecraft.jar.
Posted Image

Register or log in to remove.

#2502

GSAHeppner4724

Posted 29 November 2012 - 02:28 AM

View PostGibea, on 29 November 2012 - 01:17 AM, said:

Me too, but it's work if I open it with the original clean untouched minecraft.jar.
i sent the creator a personal message saying the same thing so hopefully hell be able to help me.. i really don't want to start ovr

#2503

Dweller_Benthos
  • Minecraft: Dweller_Benthos

Posted 29 November 2012 - 04:03 AM

View PostGSAHeppner4724, on 29 November 2012 - 02:28 AM, said:

i sent the creator a personal message saying the same thing so hopefully hell be able to help me.. i really don't want to start ovr

Copy your modded jar, then revert to the vanilla jar, either from your backup (you did keep a backup, right?) or by doing a force update, then use AMIDST, once you're done, revert back to your modded jar.
D_B
To tell them how to live is to prevent them living.

#2504

GSAHeppner4724

Posted 29 November 2012 - 04:31 AM

View PostDweller_Benthos, on 29 November 2012 - 04:03 AM, said:

Copy your modded jar, then revert to the vanilla jar, either from your backup (you did keep a backup, right?) or by doing a force update, then use AMIDST, once you're done, revert back to your modded jar.
i just did that & i'm still getting the same message, but it does work with a fresh .jar but when i
re installed the mods i was useing i got the message again i think the mods are the reason its not working properly



Mods i'm useing are:   MC forge universal

                                   Optifine Ultra

                                   ThebombzeAPI

                                   AutoSwitch

                                   InvTweaks

                                   TreeCapitator_Core Mod

                                   ReiMinimap

                                   Recipe book

#2505

Gibea
    Gibea

    Zombie Killer

  • Members
  • 223 posts

Posted 29 November 2012 - 04:44 AM

At least Dweller_Benthos's way work for me.
I has an un-modded original clean 1.4.5 minecraft.jar backup. For me, just rename the recent modded minecraft.jar to any name, and then rename the original clean backup to "minecraft.jar", the Amidst can run perfectly now.

GSAHeppner4724 can go download a 1.4.5 minecraft from somewhere else, replace it to your "bin" folder and try, to see is it your backup version has problem or not.
Posted Image

#2506

Teeshy
    Teeshy

    Forum/Wiki Sponsor

  • Members
  • 65 posts

Posted 29 November 2012 - 05:34 AM

View PostGSAHeppner4724, on 29 November 2012 - 04:31 AM, said:

i just did that & i'm still getting the same message, but it does work with a fresh .jar but when i
re installed the mods i was useing i got the message again i think the mods are the reason its not working properly



Mods i'm useing are:   MC forge universal

   Optifine Ultra

   ThebombzeAPI

   AutoSwitch

   InvTweaks

   TreeCapitator_Core Mod

   ReiMinimap

   Recipe book
The very first post in this thread (where you have to get the download link from) has a FAQ and in there, in blue text it says this

Quote

Q: When I run AMIDST & then either open my level.dat or enter a seed - nothing happens
A: Have you got a modded minecraft.jar ?? - Amidst won't work with those.... full stop!!
You need a clean version, so backup your minecraft.jar & do a force update using the default launcher to get a clean version


#2507

Gibea
    Gibea

    Zombie Killer

  • Members
  • 223 posts

Posted 29 November 2012 - 06:50 AM

At post #2499 I tried with Modloader, Audio Mod, or Forge alone, even one of that single mod cause Amidst not work.
So, at this moment, let us use our backup pure minecraft.jar when we wanna open Amidst, until Skidoodle fixed it.
Posted Image

#2508

CannonFoddr
  • Location: Inside your PC, watching you !!!!!
  • Minecraft: CannonFoddr

Posted 29 November 2012 - 12:30 PM

Perhaps, Skidoodle can add a new feature to Amidst.

I'm sure there must be a way to determine is 'minecraft.jar' has been modified or not (After all 'Magic launcher 'knows') so how about the IF Amidst sees a modified 'minecraft.jar' - it then automatically uses a 'clean_minecraft.jar' in the same folder.

THEN all we have to do is do a force update (to get clean minecraft.jar)
> Copy & rename it to 'clean_minecraft.jar'
> People can then modify their 'minecraft.jar' however they like but AMIDST will still work 'cos if it see the modified version - it'll THEN use the clean version instead
Posted Image

#2509

Dweller_Benthos
  • Minecraft: Dweller_Benthos

Posted 29 November 2012 - 12:53 PM

View PostCannonFoddr, on 29 November 2012 - 12:30 PM, said:

Perhaps, Skidoodle can add a new feature to Amidst.

I'm sure there must be a way to determine is 'minecraft.jar' has been modified or not (After all 'Magic launcher 'knows') so how about the IF Amidst sees a modified 'minecraft.jar' - it then automatically uses a 'clean_minecraft.jar' in the same folder.

THEN all we have to do is do a force update (to get clean minecraft.jar)
> Copy & rename it to 'clean_minecraft.jar'
> People can then modify their 'minecraft.jar' however they like but AMIDST will still work 'cos if it see the modified version - it'll THEN use the clean version instead

I would think a check for the meta-inf folder in the jar would be sufficient, as that is a good indicator if the jar is modded or not. Unless you're modding manually, most of the other methods leave a clean copy of the jar, so pointing AMIDST at that would be the way to go. Or, having it remember a specific jar instead of defaulting to the one in the bin folder.
D_B
To tell them how to live is to prevent them living.

#2510

CannonFoddr
  • Location: Inside your PC, watching you !!!!!
  • Minecraft: CannonFoddr

Posted 30 November 2012 - 06:51 AM

View PostDweller_Benthos, on 29 November 2012 - 12:53 PM, said:

I would think a check for the meta-inf folder in the jar would be sufficient, as that is a good indicator if the jar is modded or not. Unless you're modding manually, most of the other methods leave a clean copy of the jar, so pointing AMIDST at that would be the way to go. Or, having it remember a specific jar instead of defaulting to the one in the bin folder.
Oh yeah - sort of forgot about how you usually have to delete meta_inf folder when adding MOD's (I been using magic for quite a while & never had to deal with THAT  Posted Image ),

so yeah - just get AMIDST to see if meta_inf exists.. if it doesn't THEN use 'clean_minecraft.jar' found in the same folder should fix ~50% of 'AMIDST only shows grey screen' posts
Posted Image

#2511

Skidoodle

Posted 01 December 2012 - 06:19 AM

View PostCannonFoddr, on 30 November 2012 - 06:51 AM, said:

Oh yeah - sort of forgot about how you usually have to delete meta_inf folder when adding MOD's (I been using magic for quite a while & never had to deal with THAT  Posted Image ),

so yeah - just get AMIDST to see if meta_inf exists.. if it doesn't THEN use 'clean_minecraft.jar' found in the same folder should fix ~50% of 'AMIDST only shows grey screen' posts
Alternatively, I could just have it search for clean_minecraft.jar, and use that if it exists.

#2512

Hanter
    Hanter

    Coal Miner

  • Members
  • 128 posts

Posted 01 December 2012 - 10:26 AM

View PostSkidoodle, on 01 December 2012 - 06:19 AM, said:

Alternatively, I could just have it search for clean_minecraft.jar, and use that if it exists.
If this is going to be the option then i have an idea. You could add the jar to the download by calling the file cleanmc.jar and have the program just search for the jar within the same folder.

Although this may have the redistribution legal crap on it but i dunno.

IGN: Drago_Hanter

Posted Image


#2513

tedisgreat
  • Location: Trying to figure out what to type here
  • Minecraft: thomasedurand

Posted 01 December 2012 - 03:36 PM

I can move the player :( I am using a mac on 1.4.5
Posted Image

#2514

Skidoodle

Posted 01 December 2012 - 03:44 PM

View PostHanter, on 01 December 2012 - 10:26 AM, said:

If this is going to be the option then i have an idea. You could add the jar to the download by calling the file cleanmc.jar and have the program just search for the jar within the same folder.

Although this may have the redistribution legal crap on it but i dunno.
It is, but there's no rules against making AMIDST download a fresh copy from the minecraft website... is there?

#2515

Dweller_Benthos
  • Minecraft: Dweller_Benthos

Posted 01 December 2012 - 09:18 PM

View PostSkidoodle, on 01 December 2012 - 03:44 PM, said:

It is, but there's no rules against making AMIDST download a fresh copy from the minecraft website... is there?

I dunno.....

http://assets.minecr...5/minecraft.jar

Maybe I shouldn't post that, but it's not really a secret.... I would think a check for a modded jar (no meta-inf? - must be modded) or an error trap for the noverify error that pops up a dialog that says the jar is modded, choose an unmodded jar and use it from now on?
D_B
To tell them how to live is to prevent them living.

#2516

taj1994
    taj1994

    Redstone Miner

  • Members
  • 691 posts
  • Location: Ardrossan, Alberta, Canada
  • Minecraft: taj1994
  • Xbox:taj1994

Posted 02 December 2012 - 12:36 PM

How about possibly making a way to choose the jar to use whenever you want?

For example, I use MultiMC, and have 9 instances. Between them, I am using 6 different versions of Minecraft (some modded, some not), ranging from beta 1.7 all the way up to the current version (I keep a vanilla one that I always update so I can copy it for modded instances). That way, instead of always having to make sure you have an unmodded minecraft.jar in a specific folder, you could just tell it to check a specific jar file that is wherever you want it to be.

You could also rename several jars to minecraft(version).jar (depending on their version. Example: minecraft145.jar), because terrain generation differs between certain versions (the biggest one I can think of is when the Adventure Update was released)

Posted Image


#2517

Masterfireheart
  • Location: On My Computer (Obviously!)
  • Minecraft: masterfireheart
  • Xbox:Masterfireheart

Posted 02 December 2012 - 01:16 PM

Do we download this via MCpatcher?
Posted Image
Posted Image

#2518

taj1994
    taj1994

    Redstone Miner

  • Members
  • 691 posts
  • Location: Ardrossan, Alberta, Canada
  • Minecraft: taj1994
  • Xbox:taj1994

Posted 02 December 2012 - 01:18 PM

View PostMasterfireheart, on 02 December 2012 - 01:16 PM, said:

Do we download this via MCpatcher?
This has nothing to do with MCPatcher... AMIDST is a completely different program that does a completely different thing...

Posted Image


#2519

boshabo
    boshabo

    Newly Spawned

  • Members
  • 1 posts

Posted 03 December 2012 - 02:24 AM

Whenever I try to activate both the .exe file and .jar file for it (I got the 7zip download), the same message comes up for both saying "Amidst ran in JAR mode without -noverify! Use:java -noverify -jar AMIDST.jar" help?

#2520

chiezy
    chiezy

    Tree Puncher

  • Members
  • 12 posts

Posted 03 December 2012 - 08:38 AM

View Postboshabo, on 03 December 2012 - 02:24 AM, said:

Whenever I try to activate both the .exe file and .jar file for it (I got the 7zip download), the same message comes up for both saying "Amidst ran in JAR mode without -noverify! Use:java -noverify -jar AMIDST.jar" help?
Getting the same problem.. Windows 8 btw.
When I launch it the way it wants me to it loads up but errors out in the console and in the actual application nothing happens when I try to load up my level.dat... version 1.4.4